Loading...
Searching...
No Matches
seqan3::search_cfg::output_query_id Class Reference
Search » Configuration

Include the query_id in the seqan3::search_result returned by a call to seqan3::search. More...

`#include <seqan3/search/configuration/output.hpp>`

Inheritance diagram for seqan3::search_cfg::output_query_id:
[legend]

## Public Member Functions

Constructors, destructor and assignment
constexpr | output_query_id ()=default
| Defaulted.
constexpr | output_query_id (output_query_id const &)=default
| Defaulted.
constexpr | output_query_id (output_query_id &&)=default
| Defaulted.
constexpr output_query_id & | operator= (output_query_id const &)=default
| Defaulted.
constexpr output_query_id & | operator= (output_query_id &&)=default
| Defaulted.
| ~output_query_id ()=default
| Defaulted.

## Detailed Description

Include the query_id in the seqan3::search_result returned by a call to seqan3::search.

See also
  Configuration
  Section on Output

The documentation for this class was generated from the following file:

- search/configuration/output.hpp

Hide me